var quickref =
[
    [ "Installation", "d5/dfc/installation.html", [
      [ "Requirements", "d5/dfc/installation.html#requirements", [
        [ "To compile the user examples", "d5/dfc/installation.html#compexample", null ],
        [ "To compile the documentation (Optional)", "d5/dfc/installation.html#compdoc", null ],
        [ "To develop in Olena", "d5/dfc/installation.html#devolena", null ]
      ] ],
      [ "Getting Olena", "d5/dfc/installation.html#getolena", null ],
      [ "Building Olena", "d5/dfc/installation.html#buildingolena", null ]
    ] ],
    [ "Foreword", "de/d00/foreword.html", [
      [ "Generality", "de/d00/foreword.html#generality", null ],
      [ "Directory hierarchy", "de/d00/foreword.html#dirtree", null ],
      [ "Writing and compiling a program with Olena", "de/d00/foreword.html#compilehint", null ],
      [ "Compiling a multiple files program with Olena", "de/d00/foreword.html#multicompile", null ]
    ] ],
    [ "Site", "df/d58/site.html", null ],
    [ "Site set", "dc/dbd/siteset.html", [
      [ "Basic interface", "dc/dbd/siteset.html#sitesetinterface", null ],
      [ "Optional interface", "dc/dbd/siteset.html#sitesetopinterface", null ]
    ] ],
    [ "Image", "d4/d18/image.html", [
      [ "Definition", "d4/d18/image.html#definition", null ],
      [ "Possible image types", "d4/d18/image.html#imatypes", null ],
      [ "Possible value types", "d4/d18/image.html#imapossvalues", null ],
      [ "Domain", "d4/d18/image.html#imadomain", null ],
      [ "Border and extension", "d4/d18/image.html#imaborder", [
        [ "Image border", "d4/d18/image.html#imabordersection", null ],
        [ "Generality on image extension", "d4/d18/image.html#imextgeneral", null ],
        [ "Different extensions", "d4/d18/image.html#extexample", [
          [ "Extension with a value", "d4/d18/image.html#extval", null ],
          [ "Extension with a function", "d4/d18/image.html#extfun", null ],
          [ "Extension with an image", "d4/d18/image.html#extima", null ]
        ] ]
      ] ],
      [ "Morphed images", "d4/d18/image.html#imamorphed", null ],
      [ "Interface", "d4/d18/image.html#imainterface", null ],
      [ "Load and save images", "d4/d18/image.html#imaio", null ],
      [ "Create an image", "d4/d18/image.html#imacreate", null ],
      [ "Access and modify values", "d4/d18/image.html#imaaccessmodval", null ],
      [ "Image size", "d4/d18/image.html#imasize", null ]
    ] ],
    [ "Structural elements: Window and neighborhood", "d8/d51/winneigh.html", [
      [ "Define an element", "d8/d51/winneigh.html#sedef", [
        [ "Window", "d8/d51/winneigh.html#winwin", null ],
        [ "Neighborhood", "d8/d51/winneigh.html#neighborhood", null ],
        [ "Custom structural elements", "d8/d51/winneigh.html#customse", null ],
        [ "Conversion between Neighborhoods and Windows", "d8/d51/winneigh.html#convneighwin", null ]
      ] ]
    ] ],
    [ "Sites, psites and dpoints", "d3/d97/sitesandco.html", [
      [ "Need for site", "d3/d97/sitesandco.html#sitessite", null ],
      [ "Need for psite", "d3/d97/sitesandco.html#sitespsite", null ],
      [ "From psite to site", "d3/d97/sitesandco.html#sitespsitensite", null ],
      [ "Dpoint", "d3/d97/sitesandco.html#sitesdpoint", null ]
    ] ],
    [ "Iterators", "d7/d34/iterators.html", null ],
    [ "Memory management", "da/db0/imamemmgmt.html", null ],
    [ "Basic routines", "de/db6/basicops.html", [
      [ "Fill", "de/db6/basicops.html#fillop", null ],
      [ "Paste", "de/db6/basicops.html#pasteop", null ],
      [ "Blobs", "de/db6/basicops.html#blobs", null ],
      [ "Logical not", "de/db6/basicops.html#logicalnot", null ],
      [ "Compute", "de/db6/basicops.html#compute", [
        [ "Accumulators", "de/db6/basicops.html#accu", null ],
        [ "Example with labeling::compute()", "de/db6/basicops.html#exlblcompute", null ]
      ] ],
      [ "Working with parts of an image", "de/db6/basicops.html#partima", [
        [ "Restrict an image with a site set", "de/db6/basicops.html#restrictsiteset", null ],
        [ "Restrict an image with a predicate", "de/db6/basicops.html#restrictpred", null ],
        [ "Restrict an image with a C function", "de/db6/basicops.html#restrictcfun", null ]
      ] ]
    ] ],
    [ "Input / Output", "d8/de1/inputoutput.html", [
      [ "ImageMagick", "d8/de1/inputoutput.html#ioim", null ],
      [ "GDCM", "d8/de1/inputoutput.html#iodcm", null ]
    ] ],
    [ "Graphs and images", "dd/d27/graphandima.html", [
      [ "Description", "dd/d27/graphandima.html#graphdesc", null ],
      [ "Example", "dd/d27/graphandima.html#graphexample", null ]
    ] ],
    [ "Useful global variables", "d8/d4f/globalvars.html", null ],
    [ "Useful macros", "d9/d11/macros.html", [
      [ "Variable declaration macros", "d9/d11/macros.html#vardeclmacros", null ],
      [ "Iterator type macros", "d9/d11/macros.html#macrositerators", [
        [ "Default iterator types", "d9/d11/macros.html#macrosdefit", null ],
        [ "Forward iterator types", "d9/d11/macros.html#macrosfwdit", null ],
        [ "Backward iterators", "d9/d11/macros.html#macrosbkdit", null ],
        [ "Graph iterators", "d9/d11/macros.html#macrosgraphit", null ]
      ] ]
    ] ],
    [ "Common Compilation Errors", "de/d9a/compilerrors.html", null ]
];